package Parser "
    Copyright (c) PELAB, Dept. Computer and Information Science, Linkoping University,
    Sweden, in the following denoted PELAB/LIU.

   
    This file is part of OpenModelica, in the following denoted OSM.


    The OSM License, Version 1.1, March 4, 2005.


    1 Preface

    The aim of this license is to lay down the conditions enabling you to use, 
    modify and circulate OSM. However, PELAB/LIU remain the authors of 
    OSM and so retain property rights and the use of all ancillary rights.

    2 Definitions

    OSM is defined as all successive versions of the OSM software and their 
    documentation that have been developed by PELAB/LIU and including
    accepted contributions from other contributors according to this license.

    OSM DERIVED SOFTWARE is defined as all or part of OSM that you have 
    modified and/or translated and/or adapted.


    3 Dual License

    OSM is made available under the OSM licensing scheme, which is a dual
    licensing scheme with two options, a) and b):

    a) OSM OPEN SOURCE LICENSE:

    If you wish to write Open Source software you can use the Open Source version 
    of OSM, released under the OSM license which include GPL as its open source 
    licensing option. If you use the OSM Open Source version you must release your 
    Application using OSM including this Application's source code under the GPL as well.

    This OSM license text, and Copyright (c) PELAB/Linkoping University, must
    be present in your copy of OSM and in OSM DERIVED SOFTWARE.

    You should have received a copy of the GPL - GNU General Public License
    along with OpenModelica; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.


    b) OSM COMMERCIAL LICENSE

    If you are using OSM commercially - that is, for commercial usage or
    for creating proprietary software for sale or use in a commercial setting
    - you must purchase a commercial license of OSM from PELAB/L
  *
 ** file:	 Parser.rml
 ** module:      Parser
 ** description: Interface to external code for parsing
 **
 ** The parser module is used for both parsing of files and statements in
 ** interactive mode. Some functions never fails, even if parsing fails. Instead,
 ** they return an error message other than \"Ok\".
 **
 ** Input: String to parse
 ** Output: Absyn.Program or InteractiveStmts
 **
 ** $Id: Parser.rml 1733 2005-04-27 06:47:45Z haklu $
 **
 *"

public import OpenModelica.Compiler.Absyn;

public import OpenModelica.Compiler.Interactive;

public function parse
  input String in_string;
  output Absyn.Program out_program;

  external "C" ;
end parse;

public function parseexp
  input String in_string;
  output Interactive.InteractiveStmts out_interactivestmts;

  external "C" ;
end parseexp;

public function parsestring
  input String in_string;
  output Absyn.Program out_program;
  output String out_string;

  external "C" ;
end parsestring;

public function parsestringexp
  input String in_string;
  output Interactive.InteractiveStmts out_interactivestmts;
  output String out_string;

  external "C" ;
end parsestringexp;
end Parser;

