package Socket "
    Copyright (c) PELAB, Dept. Computer and Information Science, Linkoping University,
    Sweden, in the following denoted PELAB/LIU.

   
    This file is part of OpenModelica, in the following denoted OSM.


    The OSM License, Version 1.1, March 4, 2005.


    1 Preface

    The aim of this license is to lay down the conditions enabling you to use, 
    modify and circulate OSM. However, PELAB/LIU remain the authors of 
    OSM and so retain property rights and the use of all ancillary rights.

    2 Definitions

    OSM is defined as all successive versions of the OSM software and their 
    documentation that have been developed by PELAB/LIU and including
    accepted contributions from other contributors according to this license.

    OSM DERIVED SOFTWARE is defined as all or part of OSM that you have 
    modified and/or translated and/or adapted.


    3 Dual License

    OSM is made available under the OSM licensing scheme, which is a dual
    licensing scheme with two options, a) and b):

    a) OSM OPEN SOURCE LICENSE:

    If you wish to write Open Source software you can use the Open Source version 
    of OSM, released under the OSM license which include GPL as its open source 
    licensing option. If you use the OSM Open Source version you must release your 
    Application using OSM including this Application's source code under the GPL as well.

    This OSM license text, and Copyright (c) PELAB/Linkoping University, must
    be present in your copy of OSM and in OSM DERIVED SOFTWARE.

    You should have received a copy of the GPL - GNU General Public License
    along with OpenModelica; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.


    b) OSM COMMERCIAL LICENSE

    If you are using OSM commercially - that is, for commercial usage or
    for creating proprietary software for sale or use in a commercial setting
    - you must purchase a commercial license of OSM from PELAB/L
  *
 ** file:        Socket.rml
 ** module:      Socket
 ** description: Modelica socket communication module
 **
 ** RCS: $Id: Socket.rml 1799 2005-06-02 09:50:11Z levsa $
 **
 ** This is the socket connection module of the compiler
 ** Used in interactive mode if omc is started with +d=interactive
 ** Implemented in ./runtime/soecketimpl.c
 ** Not implemented in Win32 builds use +d=interactiveCorba instead.
 *"

public function waitforconnect
  input Integer in_integer;
  output Integer out_integer;

  external "C" ;
end waitforconnect;

public function handlerequest
  input Integer in_integer;
  output String out_string;

  external "C" ;
end handlerequest;

public function sendreply
  input Integer in_integer;
  input String in_string;

  external "C" ;
end sendreply;

public function close
  input Integer in_integer;

  external "C" ;
end close;

public function cleanup

  external "C" ;
end cleanup;
end Socket;

